Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPStreamTracer Class Reference

`#include <vtkPStreamTracer.h>`

Inheritance diagram for vtkPStreamTracer:

[legend]
Collaboration diagram for vtkPStreamTracer:

[legend]
List of all members.

## Detailed Description

Parallel streamline generator.

Date:
  2003/01/09 19:21:05

Revision:
  1.3

See also:
  vtkStreamTracer

Created by:
  - Geveci, Berk

CVS contributions (if > 5%):
  - Geveci, Berk (95%)

CVS logs (CVSweb):
  - .`cxx` (`/Parallel/vtkPStreamTracer.cxx)`
  - .`h` (`/Parallel/vtkPStreamTracer.h)`

Tests:
  vtkPStreamTracer (Tests)

Definition at line 47 of file vtkPStreamTracer.h.

## Public Types
typedef vtkStreamTracer | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetController (vtkMultiProcessController *controller)
virtual vtkMultiProcessController * | GetController ()
virtual char * | GetInputVectorsSelection ()
void | SelectInputVectors (const char *fieldName)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkPStreamTracer * | SafeDownCast (vtkObject *o)
vtkPStreamTracer * | New ()
## Protected Methods
| vtkPStreamTracer ()
| ~vtkPStreamTracer ()
void | Execute ()
void | ExecuteInformation ()
void | ComputeInputUpdateExtents (vtkDataObject *output)
void | SetInterpolator (vtkInterpolatedVelocityField *)
void | ForwardTask (float seed[3], int direction, int isNewSeed, int lastid, int currentLine)
int | ProcessTask (float seed[3], int direction, int isNewSeed, int lastid, int currentLine)
int | ReceiveAndProcessTask ()
## Protected Attributes
vtkMultiProcessController * | Controller
vtkInterpolatedVelocityField * | Interpolator
vtkDataArray * | Seeds
vtkIdList * | SeedIds
vtkIntArray * | IntegrationDirections

## Member Typedef Documentation

typedef vtkStreamTracer vtkPStreamTracer::Superclass

| Reimplemented from vtkStreamTracer. Definition at line 50 of file vtkPStreamTracer.h.

## Constructor & Destructor Documentation

vtkPStreamTracer::vtkPStreamTracer | ( |  | ) | `[protected]`

vtkPStreamTracer::~vtkPStreamTracer | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkPStreamTracer::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkStreamTracer.

int vtkPStreamTracer::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkStreamTracer.

virtual int vtkPStreamTracer::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkStreamTracer.

vtkPStreamTracer* vtkPStreamTracer::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkStreamTracer.

void vtkPStreamTracer::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkStreamTracer.

vtkPStreamTracer* vtkPStreamTracer::New | ( |  | ) | `[static]`

| Construct object to start from position (0,0,0), integrate forward, terminal speed 1.0E-12, vorticity computation on, integration step length 0.5 (unit cell length), maximum number of steps 2000, using 2nd order Runge Kutta and maximum propagation 1.0 (unit length). Reimplemented from vtkStreamTracer.

void vtkPStreamTracer::SetController | ( | vtkMultiProcessController * | controller | ) |

| Set/Get the controller use in compositing (set to the global controller by default) If not using the default, this must be called before any other methods.

virtual vtkMultiProcessController* vtkPStreamTracer::GetController | ( |  | ) | `[virtual]`

| Set/Get the controller use in compositing (set to the global controller by default) If not using the default, this must be called before any other methods.

virtual char* vtkPStreamTracer::GetInputVectorsSelection | ( |  | ) | `[virtual]`

| If you want to generate traces using an arbitrary vector array, then set its name here. By default this in NULL and the filter will use the active vector array.

void vtkPStreamTracer::SelectInputVectors | ( | const char * | fieldName | ) | `[inline]`

| If you want to generate traces using an arbitrary vector array, then set its name here. By default this in NULL and the filter will use the active vector array. Definition at line 68 of file vtkPStreamTracer.h. References vtkStreamTracer::SetInputVectorsSelection().

void vtkPStreamTracer::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkStreamTracer.

void vtkPStreamTracer::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource.

void vtkPStreamTracer::ComputeInputUpdateExtents | ( | vtkDataObject * | output | ) | `[protected, virtual]`

| Do not let images return more than requested. Reimplemented from vtkDataSetToPolyDataFilter.

void vtkPStreamTracer::SetInterpolator | ( | vtkInterpolatedVelocityField * |  | ) | `[protected]`

void vtkPStreamTracer::ForwardTask | ( | float | seed[3],
|  | int | direction,
|  | int | isNewSeed,
|  | int | lastid,
|  | int | currentLine
| ) | `[protected]`

int vtkPStreamTracer::ProcessTask | ( | float | seed[3],
|  | int | direction,
|  | int | isNewSeed,
|  | int | lastid,
|  | int | currentLine
| ) | `[protected]`

int vtkPStreamTracer::ReceiveAndProcessTask | ( |  | ) | `[protected]`

## Member Data Documentation

vtkMultiProcessController* vtkPStreamTracer::Controller`[protected]`

| Definition at line 81 of file vtkPStreamTracer.h.

vtkInterpolatedVelocityField* vtkPStreamTracer::Interpolator`[protected]`

| Definition at line 83 of file vtkPStreamTracer.h.

vtkDataArray* vtkPStreamTracer::Seeds`[protected]`

| Definition at line 92 of file vtkPStreamTracer.h.

vtkIdList* vtkPStreamTracer::SeedIds`[protected]`

| Definition at line 93 of file vtkPStreamTracer.h.

vtkIntArray* vtkPStreamTracer::IntegrationDirections`[protected]`

| Definition at line 94 of file vtkPStreamTracer.h.

The documentation for this class was generated from the following file:

- Parallel/vtkPStreamTracer.h